// -*- css -*-

import QtQuick 1.1
import com.nokia.meego 1.0

// used entrydialog.qml for reference...

// this could have states & transitions to brighten the text
// and when fully bright, mousearea click would be active.

Rectangle {
    id: about
    z: 10

    anchors.fill: toplevel

    color: 'black'
    opacity: 0.90

    // capture all input outside...
    MouseArea {
	anchors.fill: parent
	onClicked: about.destroy()
    }

    Text {
	rotation: -90
	id: text
	opacity: 1 // mixes with parent opacity...
	anchors.horizontalCenter: parent.horizontalCenter
	anchors.verticalCenter: parent.verticalCenter
	z: 21
	text: '<div align="center">
<h1>VPN9C</h1>
<sup>1.0</sup>
<p>
VpN9c provides an interface to launch <b>vpnc</b>, an userspace
virtual private network client.
</p><p>
Currently supported configuration mode uses \'psk\' and \'dh2\'.
</p><p>
<i>Pcf</i> file import is implemented. Obfuscated secrets are supported
in imported files.
</p><p>
Vpnc application (0.5.3+natt03) is bundled in.
</p><p>
All shipped components are licensed under<br/>GPL.
</p>
</div>'
	wrapMode: Text.Wrap
	width: 430
	font.pixelSize: 20
	color: '#ADFF2F'
    }
}
